################################################################################
#
# Description:
#	ACADO Toolkit package configuration file
#
# Authors:
#	Milan Vukov, milan.vukov@esat.kuleuven.be
#
# Year:
#	2011 - 2013.
#
# NOTE:
#	- /
#
# Usage:
#	- /
#
################################################################################

################################################################################
#
# Configurable section
#
################################################################################

# 
# Tell the user project where to find our headers, libraries and external
# packages, etc.
#
SET( ACADO_INCLUDE_DIRS "/opt/ros/indigo/include/acado" )
SET( ACADO_LIBRARY_DIRS "/opt/ros/indigo/lib" )
SET( ACADO_EXTERNAL_PACKAGES_DIR /opt/ros/indigo/share/acado/external_packages )
SET( ACADO_CMAKE_DIR /opt/ros/indigo/share/acado/cmake )
 
#
# List of ACADO static libraries
#
SET( ACADO_STATIC_LIBRARIES  )
#
# List of ACADO shared libraries
#
SET( ACADO_SHARED_LIBRARIES acado_toolkit_s )

#
# ACADO is shipped with embedded version of qpOASES. Here is specified
# where source and header files reside
#
SET( ACADO_QPOASES_EMBEDDED_SOURCES /opt/ros/indigo/share/acado/external_packages/qpoases/SRC/Bounds.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/CyclingManager.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/MessageHandling.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/QProblem.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/Utils.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/Constraints.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/Indexlist.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/QProblemB.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/SubjectTo.cpp;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC/EXTRAS/SolutionAnalysis.cpp )
SET( ACADO_QPOASES_EMBEDDED_INC_DIRS /opt/ros/indigo/share/acado/external_packages/qpoases/;/opt/ros/indigo/share/acado/external_packages/qpoases/INCLUDE;/opt/ros/indigo/share/acado/external_packages/qpoases/SRC )

################################################################################
#
# Validation
#
################################################################################

# TODO

